constellation/cli/internal/helm/generateCilium.sh
Leonard Cohnen e9694d40b9 deps: update cilium
Bumping Cilium to also enable node-to-node encryption and
node-to-node strict mode. Since the second is not upstream
we use our fork.
2023-11-15 19:27:33 +01:00

35 lines
572 B
Bash
Executable File

#!/usr/bin/env bash
set -euo pipefail
set -o errtrace
shopt -s inherit_errexit
echo "Pulling Cilium Helm chart..."
function cleanup {
rm -r "${ciliumTmpDir}"
}
trap cleanup EXIT
calldir=$(pwd)
ciliumTmpDir=$(mktemp -d)
cd "${ciliumTmpDir}"
git clone \
--filter=blob:none \
--no-checkout \
--sparse \
--depth 1 \
-b 1.15.0-pre.2 \
https://github.com/cilium/cilium.git
cd cilium
git sparse-checkout add install/kubernetes/cilium
git checkout
git apply "${calldir}/cilium.patch"
cp -r install/kubernetes/cilium "${calldir}/charts"
echo # final newline